%define name    lineakd
%define version 0.9
%define release %mkrel 4
%define major	0
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	Control multimedia keys on modern keyboards
License:	GPL
Group:		System/Configuration/Hardware          
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-root
Url:		http://lineak.sourceforge.net/
BuildRequires:	libx11-devel
BuildRequires:	libxtst-devel
Patch0:		lineakd-0.9.0-gcc43.patch
Patch1:		lineakd-0.9.0-link.patch
Requires:	%{libname} = %{version}-%{release}

%description
Daemon to control the multimedia keys on modern keyboards.

Features X11 support, window manager independence, ability to configure
all keys (via a GUI [found in lineakconfig] & .conf file), volume
control, and sound controls.

%package -n %{libname}
Summary:	Libraries needed to run programs linked with %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}lineakd0-devel

%description -n %{develname}
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -fr $RPM_BUILD_ROOT/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc TODO README AUTHORS INSTALL ChangeLog COPYING 
%config(noreplace) %{_sysconfdir}/lineakkb.def
%{_bindir}/%{name}
%{_bindir}/xsendkey*
%{_sbindir}/send_to_keyboard
%{_libdir}/%{name}
%_mandir/*/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %develname
%defattr(-,root,root)
%{_includedir}/lineak
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Thu Jan 06 2011 Funda Wang <fwang@mandriva.org> 0.9-4mdv2011.0
+ Revision: 629146
- add patches to fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2008.1
+ Revision: 136572
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Fri Dec 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9-1mdv2007.0
+ Revision: 93875
- 0.9

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 0.8.4-2mdv2007.0
+ Revision: 55009
- rebuild
- remove uneed buildrequires
- Import lineakd

* Tue Dec 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-1mdk
- New release 0.8.4

* Thu Apr 07 2005 Olivier Thauvin <nanardon@mandrake.org> 0.8.3-1mdk
- 0.8.3

* Mon Dec 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-1mdk
- 0.8.2

* Tue Nov 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-2mdk
- removed /etc/X11/xinit.d/lineakd, as it doesn work

* Thu Oct 28 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.8.1-1mdk
- New release
- fixed source URL

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- drop patch
- new version

* Sun Sep 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.1mdk 
- new version
- rpmbuildupdate aware
- tag launch script as config for rpmlint
- spec cleanup

